#!/usr/bin/python

import getpass
import sys

from security.profile import UserProfile, database_exists, get_current_username, set_current_username

def prompt_for_password():
    return getpass.getpass("Password:")

def main(username):
    curr_logged_in_user = get_current_username()
    if curr_logged_in_user is not None:
        print "Another user (%s) is already logged in. Please ask them to log out first." % (curr_logged_in_user,)
    elif database_exists(username):
        print "This user already exists. Please run cryptfs-login instead."
    else:
        prof = UserProfile(username)
        set_current_username(username)

if __name__ == "__main__":
    username = sys.argv[1]
    main(username)
