#!/usr/bin/python

import getpass
import sys

from rpc.client import RPCClient
from security.profile import UserProfile, database_exists, get_current_username, set_current_username

def main(hostname, port, username):
    curr_logged_in_user = get_current_username()
    if curr_logged_in_user is not None:
        print "Another user (%s) is already logged in. Please ask them to log out first." % (curr_logged_in_user,)
    elif database_exists(username):
        print "This user already exists. Please run cryptfs-login instead."
    else:
        prof = UserProfile(username)
        set_current_username(username)
        rsa_pubkey = prof.rsa_get_own_pubkey()
        rpc_client = RPCClient(hostname, port)
        rpc_client.make_rpc_call('register_user', username, rsa_pubkey)

if __name__ == "__main__":    
    hostname = sys.argv[1]
    port = int(sys.argv[2])
    username = sys.argv[3]
    main(hostname, port, username)
